/**
 * 新規
 * 2011/1/25
 * 孫奇全
 */

package com.aimluck.eip.modules.screens;

import org.apache.jetspeed.services.logging.JetspeedLogFactoryService;
import org.apache.jetspeed.services.logging.JetspeedLogger;
import org.apache.turbine.util.RunData;
import org.apache.velocity.context.Context;

import com.aimluck.eip.exttimecard.ExtTimecardSystemDetailMapSelectData;
import com.aimluck.eip.util.ALEipUtils;


/**
 * タイムカードの一覧を処理するクラスです。 <br />
 * 
 */

public class ExtTimecardSystemDetailMapListScreen extends ExtTimecardScreen {
  /** logger */
  private static final JetspeedLogger logger = JetspeedLogFactoryService
      .getLogger(ExtTimecardSystemDetailMapListScreen.class.getName());

 

  
  
  /**
   * @see org.apache.turbine.modules.screens.RawScreen#doOutput(org.apache.turbine.util.RunData)
   */
  @Override
  protected void doOutput(RunData rundata, Context context) throws Exception {

    try {
      ExtTimecardSystemDetailMapSelectData listData = new ExtTimecardSystemDetailMapSelectData();
      listData.initField();
      listData.setRowsNum(10);
      listData.doDetailViewList(this, rundata, context);

      String layout_template = "portlets/html/ja/ajax-exttimecardsystem-detail-list.vm";
      											 
      setTemplate(rundata, context, layout_template);

    } catch (Exception ex) {
      logger.error("[ExtTimecardSystemDetailMapListScreen] Exception.", ex);
      ALEipUtils.redirectDBError(rundata);
    }
  }
}
















